Last Comment Bug 653270 - simplify nsSMILAnimationController construction
: simplify nsSMILAnimationController construction
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Daniel Holbert [:dholbert]
:
Mentors:
Depends on:
Blocks: 653238
  Show dependency treegraph
 
Reported: 2011-04-27 15:32 PDT by Daniel Holbert [:dholbert]
Modified: 2011-06-01 11:12 PDT (History)
2 users (show)
dholbert: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
fix (5.71 KB, patch)
2011-04-27 15:43 PDT, Daniel Holbert [:dholbert]
jwatt: review+
asa: approval‑mozilla‑aurora+
asa: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Daniel Holbert [:dholbert] 2011-04-27 15:32:33 PDT
While looking at another bug, I noticed that nsSMILAnimationController construction/initialization is much more COM-ish and messy than it needs to be. 

Filing this bug on cleaning that up.
Comment 1 Daniel Holbert [:dholbert] 2011-04-27 15:43:31 PDT
Created attachment 528725 [details] [diff] [review]
fix

Here's the fix.

Basically, NS_NewSMILAnimationController() is only ever called once, and it calls both the nsSMILAnimationController constructor and Init().  (and it's the only client of those)

So I'm merging all of the above into the nsSMILAnimationController constructor.
Comment 2 Daniel Holbert [:dholbert] 2011-04-28 12:08:59 PDT
Landed: http://hg.mozilla.org/mozilla-central/rev/fc0d870dadf5
Comment 3 Daniel Holbert [:dholbert] 2011-05-20 01:46:47 PDT
Comment on attachment 528725 [details] [diff] [review]
fix

This needs to land on aurora in order for Bug 653238 and Bug 654015 to land.  

Very low-risk -- this just merges a few constructor-ish functions together for simplicity, with no functional change.  (See summary in comment 1.)

Requesting approval for both aurora and beta so this can land with Bug 653238 and Bug 654015.
Comment 4 Daniel Holbert [:dholbert] 2011-05-20 01:47:50 PDT
(In reply to comment #3)
> This needs to land on aurora in order for Bug 653238 and Bug 654015 to land.
(s/aurora/aurora and beta/)

Note You need to log in before you can comment on or make changes to this bug.